Issue 125035 - ooxml: Create a new framework for the parsing of OOXML documents.
Summary: ooxml: Create a new framework for the parsing of OOXML documents.
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P3 Normal with 2 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 88355
  Show dependency tree
 
Reported: 2014-06-03 06:45 UTC by Andre
Modified: 2017-04-12 21:59 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: Difficult


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2014-06-03 06:45:58 UTC
Create a framework that can be used by all applications to import documents in the OfficeOpenXML (OOXML) format.

See https://wiki.openoffice.org/wiki/Ooxml for more information.
Comment 1 SVN Robot 2014-06-03 06:57:14 UTC
"af" committed SVN revision 1599430 into trunk:
125035: Initial commit for the new OOXML framework.
Comment 2 SVN Robot 2014-06-10 09:35:41 UTC
"af" committed SVN revision 1601582 into trunk:
125035: Can now create a validating parser.
Comment 3 Andre 2014-06-10 09:41:38 UTC
Can now create a validating parser (complex types).

The ValidatingCreator creates one NFA for each complex type and one for the top level elements.  These are then converted to DFAs and minimized.  At the moment this results in 6097 states and 34286 transitions.
Comment 4 SVN Robot 2014-06-12 07:15:24 UTC
"af" committed SVN revision 1602077 into trunk:
125035: Added support for attributes.
Comment 5 SVN Robot 2014-06-12 11:07:23 UTC
"af" committed SVN revision 1602118 into trunk:
125035: Added support for actions to the experimental Java parser.
Comment 6 SVN Robot 2014-06-17 13:01:40 UTC
"af" committed SVN revision 1603154 into trunk:
125035: Added support for attribute types (simple types).
Comment 7 SVN Robot 2014-06-20 15:30:10 UTC
"af" committed SVN revision 1604190 into trunk:
125035: Added support for simple types.
Comment 8 Serge 2017-04-12 21:59:49 UTC
In MSO 2007 and above there are two file extensions for files that support OOXML: .docx and .docm. As far as I know macro support is the only difference between them. .docm is macro enabled document and .docx is not.

For me it is important to know that a document has no macro code inside 
because nowadays macro enabled documents are used to spread malware
https://nakedsecurity.sophos.com/2015/09/28/why-word-macro-malware-is-back-and-what-you-can-do-about-it/

If you at last decide to implement docx save/export support in AOO do not forget about 'macro disabled' document format.

P.S.
Is there any ODF based file format I can use to store documents and be sure that there is no macro code inside them?